
_Display_Init:

;BrushlessPIC.c,80 :: 		void Display_Init()
;BrushlessPIC.c,83 :: 		Lcd_Init();                        // Initialize Lcd
	CALL        _Lcd_Init+0, 0
;BrushlessPIC.c,84 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;BrushlessPIC.c,85 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;BrushlessPIC.c,86 :: 		Lcd_Out(1, 1, txt1);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt1+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt1+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;BrushlessPIC.c,87 :: 		Lcd_Out(2, 1, txt2);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;BrushlessPIC.c,88 :: 		WordToStr(pwm_period, txt);
	MOVF        _pwm_period+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        _pwm_period+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _txt+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;BrushlessPIC.c,89 :: 		Lcd_Out(2, 10, txt);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       10
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;BrushlessPIC.c,91 :: 		}
L_end_Display_Init:
	RETURN      0
; end of _Display_Init

_MCU_Init:

;BrushlessPIC.c,94 :: 		void MCU_Init()
;BrushlessPIC.c,97 :: 		ANSELA = 0;                         // Configure AN pins as digital
	CLRF        ANSELA+0 
;BrushlessPIC.c,98 :: 		ANSELB = 0;
	CLRF        ANSELB+0 
;BrushlessPIC.c,99 :: 		ANSELC = 0;
	CLRF        ANSELC+0 
;BrushlessPIC.c,100 :: 		ANSELD = 0;
	CLRF        ANSELD+0 
;BrushlessPIC.c,102 :: 		PORTD = 255;
	MOVLW       255
	MOVWF       PORTD+0 
;BrushlessPIC.c,103 :: 		TRISD = 255;
	MOVLW       255
	MOVWF       TRISD+0 
;BrushlessPIC.c,105 :: 		TRISE2_bit = 0;
	BCF         TRISE2_bit+0, BitPos(TRISE2_bit+0) 
;BrushlessPIC.c,106 :: 		TRISC1_bit = 0;
	BCF         TRISC1_bit+0, BitPos(TRISC1_bit+0) 
;BrushlessPIC.c,108 :: 		ADC_Init();                          // ADC Init
	CALL        _ADC_Init+0, 0
;BrushlessPIC.c,109 :: 		Delay_ms(100);
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_MCU_Init0:
	DECFSZ      R13, 1, 1
	BRA         L_MCU_Init0
	DECFSZ      R12, 1, 1
	BRA         L_MCU_Init0
	DECFSZ      R11, 1, 1
	BRA         L_MCU_Init0
;BrushlessPIC.c,110 :: 		current_speed = 0;                  //initial value for current duty.
	CLRF        _current_speed+0 
	CLRF        _current_speed+1 
;BrushlessPIC.c,111 :: 		pwm_period = 5000;
	MOVLW       136
	MOVWF       _pwm_period+0 
	MOVLW       19
	MOVWF       _pwm_period+1 
;BrushlessPIC.c,113 :: 		PWM2_Init(5000);                    // Initialize PWM2 module at 5kHz
	BSF         T2CON+0, 0, 0
	BSF         T2CON+0, 1, 0
	MOVLW       224
	MOVWF       PR2+0, 0
	CALL        _PWM2_Init+0, 0
;BrushlessPIC.c,114 :: 		PWM2_Set_Duty(current_speed);            // Set current duty for PWM2
	MOVF        _current_speed+0, 0 
	MOVWF       FARG_PWM2_Set_Duty_new_duty+0 
	CALL        _PWM2_Set_Duty+0, 0
;BrushlessPIC.c,115 :: 		PWM2_Start();
	CALL        _PWM2_Start+0, 0
;BrushlessPIC.c,117 :: 		}
L_end_MCU_Init:
	RETURN      0
; end of _MCU_Init

_main:

;BrushlessPIC.c,119 :: 		void main()
;BrushlessPIC.c,122 :: 		MCU_Init();
	CALL        _MCU_Init+0, 0
;BrushlessPIC.c,123 :: 		Display_Init();
	CALL        _Display_Init+0, 0
;BrushlessPIC.c,124 :: 		MOTOR_DIR = CCW;             // Setting motor direction to counter-clock-wise
	BCF         RE1_bit+0, BitPos(RE1_bit+0) 
;BrushlessPIC.c,126 :: 		while(1)
L_main1:
;BrushlessPIC.c,129 :: 		if (RD0_bit)  // button on RD0 pressed
	BTFSS       RD0_bit+0, BitPos(RD0_bit+0) 
	GOTO        L_main3
;BrushlessPIC.c,131 :: 		Delay_ms(30);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       190
	MOVWF       R12, 0
	MOVLW       72
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
	NOP
;BrushlessPIC.c,132 :: 		current_speed = current_speed + STEP;     // increment current duty
	MOVLW       5
	ADDWF       _current_speed+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      _current_speed+1, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       _current_speed+0 
	MOVF        R2, 0 
	MOVWF       _current_speed+1 
;BrushlessPIC.c,134 :: 		if (current_speed > pwm_period)       // if we increase current duty greater then possible pwm_period value
	MOVF        R2, 0 
	SUBWF       _pwm_period+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main13
	MOVF        R1, 0 
	SUBWF       _pwm_period+0, 0 
L__main13:
	BTFSC       STATUS+0, 0 
	GOTO        L_main5
;BrushlessPIC.c,136 :: 		current_speed = 0;                // reset current duty value to zero
	CLRF        _current_speed+0 
	CLRF        _current_speed+1 
;BrushlessPIC.c,137 :: 		}
L_main5:
;BrushlessPIC.c,139 :: 		PWM2_Set_Duty(current_speed);        // set newly acquired duty ratio
	MOVF        _current_speed+0, 0 
	MOVWF       FARG_PWM2_Set_Duty_new_duty+0 
	CALL        _PWM2_Set_Duty+0, 0
;BrushlessPIC.c,140 :: 		}
L_main3:
;BrushlessPIC.c,142 :: 		if (RD1_bit) {  // button on RD1 pressed
	BTFSS       RD1_bit+0, BitPos(RD1_bit+0) 
	GOTO        L_main6
;BrushlessPIC.c,144 :: 		Delay_ms(30);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       190
	MOVWF       R12, 0
	MOVLW       72
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	DECFSZ      R11, 1, 1
	BRA         L_main7
	NOP
;BrushlessPIC.c,145 :: 		current_speed = current_speed - STEP;        // decrement current duty
	MOVLW       5
	SUBWF       _current_speed+0, 0 
	MOVWF       R1 
	MOVLW       0
	SUBWFB      _current_speed+1, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       _current_speed+0 
	MOVF        R2, 0 
	MOVWF       _current_speed+1 
;BrushlessPIC.c,147 :: 		if (current_speed > pwm_period) {      // if we increase current duty greater then possible pwm_period value
	MOVF        R2, 0 
	SUBWF       _pwm_period+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main14
	MOVF        R1, 0 
	SUBWF       _pwm_period+0, 0 
L__main14:
	BTFSC       STATUS+0, 0 
	GOTO        L_main8
;BrushlessPIC.c,149 :: 		current_speed = pwm_period;         // set current duty value to pwm_period
	MOVF        _pwm_period+0, 0 
	MOVWF       _current_speed+0 
	MOVF        _pwm_period+1, 0 
	MOVWF       _current_speed+1 
;BrushlessPIC.c,150 :: 		}
L_main8:
;BrushlessPIC.c,152 :: 		PWM2_Set_Duty(current_speed);        // set newly acquired duty ratio
	MOVF        _current_speed+0, 0 
	MOVWF       FARG_PWM2_Set_Duty_new_duty+0 
	CALL        _PWM2_Set_Duty+0, 0
;BrushlessPIC.c,153 :: 		}
L_main6:
;BrushlessPIC.c,157 :: 		Delay_ms(20);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       212
	MOVWF       R12, 0
	MOVLW       133
	MOVWF       R13, 0
L_main9:
	DECFSZ      R13, 1, 1
	BRA         L_main9
	DECFSZ      R12, 1, 1
	BRA         L_main9
	DECFSZ      R11, 1, 1
	BRA         L_main9
;BrushlessPIC.c,159 :: 		WordToStr(current_speed, txt);
	MOVF        _current_speed+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        _current_speed+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _txt+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;BrushlessPIC.c,160 :: 		Lcd_Out(1, 10, txt);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       10
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;BrushlessPIC.c,162 :: 		}
	GOTO        L_main1
;BrushlessPIC.c,163 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
